from slic.core.adjustable import Adjustable
import datetime

class Time(Adjustable):
    """ Adjustable only for spreadsheet, no other functionality
    """
    def __init__(self):
        super().__init__(self, "Time")
    
    def get_current_value(self):
        return datetime.datetime.now().replace(microsecond=0).isoformat() 

    def is_moving(self):
        return False

    def set_target_value(self):
        pass

    def __repr__(self):
        name  = "Time"
        value = self._printable_value()
        return f"{name} : {value}"

    def __str__(self):
        return self._printable_value()